/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
import type { TreeNodeSchemaIdentifier, TreeStoredSchema } from "../schema-stored/index.js";
/**
 * APIs for applying `view schema` to documents.
 */
/**
 */
export interface TreeAdapter {
    readonly output: TreeNodeSchemaIdentifier;
    readonly input: TreeNodeSchemaIdentifier;
}
/**
 * Minimal selection of adapters (nothing for general out of schema, field level adjustments etc.).
 * Would be used with schematize and have actual conversion/update functionality.
 *
 * TODO: Support more kinds of adapters
 * TODO: support efficient lookup of adapters
 */
export interface Adapters {
    readonly tree?: readonly TreeAdapter[];
}
/**
 * A collection of View information for schema, including policy.
 */
export declare class AdaptedViewSchema {
    readonly adapters: Adapters;
    readonly adaptedForViewSchema: TreeStoredSchema;
    constructor(adapters: Adapters, adaptedForViewSchema: TreeStoredSchema);
}
//# sourceMappingURL=view.d.ts.map