/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
import { type ICodecFamily, type ICodecOptions, type IJsonCodec } from "../../codec/index.js";
import { SchemaCodecVersion } from "../schema-index/index.js";
import type { SchemaChange } from "./schemaChangeTypes.js";
/**
 * Create a family of schema change codecs.
 * @param options - Specifies common codec options, including which `validator` to use.
 * @returns The composed codec family.
 */
export declare function makeSchemaChangeCodecs(options: ICodecOptions): ICodecFamily<SchemaChange>;
/**
 * Create a schema change codec.
 * @param options - Specifies common codec options, including which `validator` to use.
 * @param writeVersion - The schema change write version.
 * @returns The composed codec.
 */
export declare function makeSchemaChangeCodec(options: ICodecOptions, writeVersion: SchemaCodecVersion): IJsonCodec<SchemaChange>;
//# sourceMappingURL=schemaChangeCodecs.d.ts.map